operator *
Prev | Chapter 13. Db_vector_iterator | Next

## operator *

### Function Details

    reference operator *() const

Dereference operator.

Return the reference to the cached data element, which is an ElementRef<T> object if T is a class type or an ElementHolder<T> object if T is a C++ primitive data type. The returned value can be used to read or update its referenced element.

#### Return Value

The reference to the element this iterator points to.

### Class

db_vector_iterator

Prev | Up | Next
operator-= | Home | operator->